Bug 501558 - F10: rpm-warm-cache dies when run under PackageKit
F10: rpm-warm-cache dies when run under PackageKit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 14:18 EDT by Maurice Edward, Brahier
Modified: 2014-01-21 18:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
background base system files and other - smartreports (1.29 MB, text/plain)
2009-05-19 14:18 EDT, Maurice Edward, Brahier
no flags Details

  None (edit)
Description Maurice Edward, Brahier 2009-05-19 14:18:53 EDT
Created attachment 344665 [details]
background base system files and other - smartreports

I am not sure where these should be directed, please apprise the respective authors and/or others. Fedora 10

TYPICAL

May 19, 2009 errors occurring after using Yum Extender to update system.
PackageKit can not be used within the system at the moment as it always errors out. It remains the primary/default program, however, it no longer properly functions.

Error Type: <type 'exceptions.TypeError'>
Error Value: 'NoneType' object is unsubscriptable
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2316, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2313, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 600, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 508, in dispatch_command
    self.get_updates(filters)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1769, in get_updates
    self._check_init()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1996, in _check_init
    self.yumbase.repos.doSetup()
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup
    self.ayum.plugins.run('postreposetup')
  File : /usr/lib/python2.5/site-packages/yum/plugins.py, line 178, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File : /usr/lib/yum-plugins/rpm-warm-cache.py, line 32, in postreposetup_hook
    cmd = commands[0]

---- Other errors for background information -----

 ** smart-bugreports **
*** NOTE also: - smart package manager had been installed to test application within Fedora, synaptic was also installed in attempt to test and work-around, both have since been removed. ***
see attached for more detail
Comment 1 Ricky Zhou 2009-08-05 12:28:35 EDT
Moving this to the Fedora product/yum component.
Comment 2 James Antill 2009-08-05 12:35:54 EDT
This is fixed upstream in the rpm-warm-cache plugin, I'm not sure if it's been fixed in a yum-utsil release for F10 since May.
Comment 3 Bug Zapper 2009-11-18 06:59:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:27:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.